


#include "h/Thermometre.h"
#include "h/I2C.h"
#include "h/Utilitaires.h"
#include "h/Parametres.h"



void ConfigurerUnCapteur(unsigned char AdresseCapteurTemperature)
{
	Write16court(AdresseCapteurTemperature, 0x01, 0x78);
	Write16nouvelle(AdresseCapteurTemperature, 0x01, 0x60, 0x00);
	Write16nouvelle(AdresseCapteurTemperature, 0x02, 0xFF, 0xC0);
	Write16nouvelle(AdresseCapteurTemperature, 0x03, 0x00, 0x30);
}

void MaximumMinimum(int TemperatureMesuree, int *AffMinimale, int *AffMaximale, unsigned char Reinitialisation)
{
	if(Reinitialisation == 0)
	{
		if(TemperatureMesuree < *AffMinimale)
		{
			*AffMinimale = TemperatureMesuree;
		}
		if(TemperatureMesuree > *AffMaximale)
		{
			*AffMaximale = TemperatureMesuree;
		}
	}
	else
	{
		*AffMinimale = TemperatureMesuree;
		*AffMaximale = TemperatureMesuree;
	}	
}
